List canonical brief artifacts
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/brief-artifacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/brief-artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/brief-artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"storefrontId": "<string>",
"buyerCustomerId": 0,
"source": "<string>",
"buyingMode": "<string>",
"adcpMajorVersion": 0,
"schemaVersion": "<string>",
"redactionManifest": {
"redactedPaths": [
"<string>"
],
"truncated": [
{
"field": "<string>",
"reason": "<string>",
"originalByteSize": 0
}
]
},
"digest": "<string>",
"byteSize": 0,
"complete": true,
"createdAt": "<string>"
}
],
"meta": {
"pagination": {
"skip": 4503599627370495,
"take": 4503599627370496,
"total": 4503599627370495,
"hasMore": true
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
List canonical brief artifacts
Paginated list of brief artifacts — the exact validated AdCP get_products requests this storefront received, content-addressed by sha-256 digest and stored post-redaction. Summaries only; fetch one artifact for the request payload. Page with ?skip= and ?take=.
GET
/
brief-artifacts
List canonical brief artifacts
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/brief-artifacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/brief-artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/brief-artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"storefrontId": "<string>",
"buyerCustomerId": 0,
"source": "<string>",
"buyingMode": "<string>",
"adcpMajorVersion": 0,
"schemaVersion": "<string>",
"redactionManifest": {
"redactedPaths": [
"<string>"
],
"truncated": [
{
"field": "<string>",
"reason": "<string>",
"originalByteSize": 0
}
]
},
"digest": "<string>",
"byteSize": 0,
"complete": true,
"createdAt": "<string>"
}
],
"meta": {
"pagination": {
"skip": 4503599627370495,
"take": 4503599627370496,
"total": 4503599627370495,
"hasMore": true
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Number of rows to skip (offset pagination).
Required range:
0 <= x <= 9007199254740991Example:
0
Number of rows to return per page (1–100).
Required range:
1 <= x <= 100Example:
25